%% zápis Wii 
close all 
clear all 
clc
filename = '7.2.3 - Upravení původních matic a následné upravení vypočteného vektoru.xlsx';
 
abc=['DEFGHIJKLMN'];
ci=[7    15    23  31  9999  8    16    24  32  9999];  % 9999 jen aby se mi shodovalo ci9 protože to tam není 



for osoba=1:11
for mereni=[1,2,3,4,6,7,8,9,10]        
   
         misto=[abc(osoba),num2str(ci(mereni))]
        osoba=num2str(osoba);

[delka_zaznamu,Prumerna_vychylka_x_abs ,Prumerna_vychylka_y_abs,Prumerna_vychylka_cop_abs,...
    delka_pohybu_cop ,avg_rychlost_CoP,delka_hl_osy , delka_vedl_osy,obsah,RMS ]=data_wii(xlsread(['s',osoba,'.xlsx'],mereni));  
        osoba=str2num(osoba);
        

vysledek1={delka_zaznamu};
vysledek2= {Prumerna_vychylka_x_abs };
vysledek3 = {Prumerna_vychylka_y_abs   };
vysledek4 = {Prumerna_vychylka_cop_abs   };
vysledek5 = {delka_pohybu_cop   };
vysledek6 = {avg_rychlost_CoP   };
vysledek7 = {delka_hl_osy   };
vysledek8 = { delka_vedl_osy  };
vysledek9 = {obsah   } ;           %  1 2 3 4 5 6 7 8 9 10 11
vysledek10 = {RMS   }  ;              %  D E F G H I J K L M  N     
xlswrite(filename,vysledek1,1,misto);
xlswrite(filename,vysledek2,2,misto);
xlswrite(filename,vysledek3,3,misto);
xlswrite(filename,vysledek4,4,misto);
xlswrite(filename,vysledek5,5,misto);
xlswrite(filename,vysledek6,6,misto);
xlswrite(filename,vysledek7,7,misto);
xlswrite(filename,vysledek8,8,misto);
xlswrite(filename,vysledek9,9,misto); 
xlswrite(filename,vysledek10,10,misto);  
end
end
%% popis excelu 

% popis excelu 
abc=['DEFGHIJKLMN'];
ci=[4    12    20    28]  

xlswrite(filename,{'Délka záznamu [s]'},1,'1A');
xlswrite(filename,{'Průměrná výchylka CoP v ose X (M-L) [mm]'},2,'1A');
xlswrite(filename,{'Průměrná výchylka CoP v ose Y (A-P) [mm]'},3,'1A');
xlswrite(filename,{'Průměrná výchylka CoP [mm]'},4,'1A');
xlswrite(filename,{'Délak pohybu CoP [mm]'},5,'1A');
xlswrite(filename,{'Průměrná rychlost pohybu CoP [mm/s]'},6,'1A');
xlswrite(filename,{'Délka hlavní osy konfidenční elipsy [mm]'},7,'1A');
xlswrite(filename,{'Délak vedlejší osy konfidenční elipsy [mm]'},8,'1A');
xlswrite(filename,{'Obsah konfidenční elipsy [mm^2]'},9,'1A');
xlswrite(filename,{'RMS [mm]'},10,'1A');


    
for mereni=1:4        
  for osoba=1:11  
         misto=[abc(osoba),num2str(ci(mereni))]
         %mereni=num2str(mereni);
        osoba=num2str(osoba);
zapis={['s',osoba]};
osoba=str2num(osoba);

xlswrite(filename,zapis,1,misto);
xlswrite(filename,zapis,2,misto);
xlswrite(filename,zapis,3,misto);
xlswrite(filename,zapis,4,misto);
xlswrite(filename,zapis,5,misto);
xlswrite(filename,zapis,6,misto);
xlswrite(filename,zapis,7,misto);
xlswrite(filename,zapis,8,misto);
xlswrite(filename,zapis,9,misto);
xlswrite(filename,zapis,10,misto);
end
end
ci2=[5 13 21 29]
for k=1:10
for i= 1:4
     xlswrite(filename,{'Stoj'},k,'3A');
    xlswrite(filename,{'Široký'},k,'4A');
    xlswrite(filename,{'Snožmo, otevřené oči'},k,'12A');
    xlswrite(filename,{'Snožmo, zavřené oči'},k,'20A');
    xlswrite(filename,{'Na jedné noze'},k,'28A');
    
 misto1=['C',num2str(ci2(i))]
 misto2=['C',num2str(ci2(i)+1)]
 misto3=['C',num2str(ci2(i)+2)]
 misto4=['C',num2str(ci2(i)+3)]
xlswrite(filename,{'Zebris 1'},k,misto1);
xlswrite(filename,{'Zebris 2'},k,misto2);
xlswrite(filename,{'Wii 1'},k,misto3);
xlswrite(filename,{'Wii 2'},k,misto4);
    end
end

%% ZEbris
%  Zapsání zebris B
abc=['DEFGHIJKLMN'];
ci=[6    14    22  30 ];  

for osoba=1:11     
for mereni=1:4           
        misto=[abc(osoba),num2str(ci(mereni))]
         mereni=num2str(mereni);
        osoba=num2str(osoba);
        jana=['s',osoba,'m',mereni,'b.xml'];     
osoba=str2num(osoba);
mereni=str2num(mereni);

[delka_zaznamu,Prumerna_vychylka_x_abs ,Prumerna_vychylka_y_abs,Prumerna_vychylka_cop_abs,delka_pohybu_cop ,avg_rychlost_CoP,delka_hl_osy , delka_vedl_osy,obsah,RMS ]=data_zebris(NacitaniDat(jana));

vysledek1={delka_zaznamu};
vysledek2= {Prumerna_vychylka_x_abs };
vysledek3 = {Prumerna_vychylka_y_abs   };
vysledek4 = {Prumerna_vychylka_cop_abs   };
vysledek5 = {delka_pohybu_cop   };
vysledek6 = {avg_rychlost_CoP   };
vysledek7 = {delka_hl_osy   };
vysledek8 = { delka_vedl_osy  };
vysledek9 = {obsah   } ;  
vysledek10 = {RMS   } ; 
                 
xlswrite(filename,vysledek1,1,misto);
xlswrite(filename,vysledek2,2,misto);
xlswrite(filename,vysledek3,3,misto);
xlswrite(filename,vysledek4,4,misto);
xlswrite(filename,vysledek5,5,misto);
xlswrite(filename,vysledek6,6,misto);
xlswrite(filename,vysledek7,7,misto);
xlswrite(filename,vysledek8,8,misto);
xlswrite(filename,vysledek9,9,misto);
xlswrite(filename,vysledek10,10,misto);
end
end
% zapsání A
abc=['DEFGHIJKLMN'];
ci= [5    13    21  29 ];

for osoba=1:11     
for mereni=1:4        
        misto=[abc(osoba),num2str(ci(mereni))]
         mereni=num2str(mereni);
        osoba=num2str(osoba);
        jana=['s',osoba,'m',mereni,'.xml'];     
osoba=str2num(osoba);
mereni=str2num(mereni);

[delka_zaznamu,Prumerna_vychylka_x_abs ,Prumerna_vychylka_y_abs,Prumerna_vychylka_cop_abs,delka_pohybu_cop ,avg_rychlost_CoP,delka_hl_osy , delka_vedl_osy,obsah,RMS ]=data_zebris(NacitaniDat(jana));
 
vysledek1={delka_zaznamu};
vysledek2= {Prumerna_vychylka_x_abs };
vysledek3 = {Prumerna_vychylka_y_abs   };
vysledek4 = {Prumerna_vychylka_cop_abs   };
vysledek5 = {delka_pohybu_cop   };
vysledek6 = {avg_rychlost_CoP   };
vysledek7 = {delka_hl_osy   };
vysledek8 = { delka_vedl_osy  };
vysledek9 = {obsah   } ;           %  1 2 3 4 5 6 7 8 9 10 11
vysledek10 = {RMS   }  ;              %  D E F G H I J K L M  N     
xlswrite(filename,vysledek1,1,misto);
xlswrite(filename,vysledek2,2,misto);
xlswrite(filename,vysledek3,3,misto);
xlswrite(filename,vysledek4,4,misto);
xlswrite(filename,vysledek5,5,misto);
xlswrite(filename,vysledek6,6,misto);
xlswrite(filename,vysledek7,7,misto);
xlswrite(filename,vysledek8,8,misto);
xlswrite(filename,vysledek9,9,misto);
xlswrite(filename,vysledek10,10,misto);
end
end